usb_endpoint_is_bulk_in
Prev | Chapter 4. Host-Side Data Types and Macros | Next

## Name

usb_endpoint_is_bulk_in — check if the endpoint is bulk IN

## Synopsis

`int usb_endpoint_is_bulk_in (` | const struct usb_endpoint_descriptor * | epd`)`;

## Arguments

`epd`

  endpoint to be checked

## Description

Returns true if the endpoint has bulk transfer type and IN direction, otherwise it returns false.

Prev | Up | Next
usb_endpoint_xfer_isoc | Home | usb_endpoint_is_bulk_out